## edu.stanford.nlp.objectbank
Class IdentityFunction<X>

    java.lang.Object
      edu.stanford.nlp.objectbank.IdentityFunction<X>

All Implemented Interfaces:
  Function<X,X>

    public class IdentityFunction<X>

extends Object
implements Function<X,X>

An Identity function that returns its argument.

Author:
  Jenny Finkel

Constructor Summary
`IdentityFunction()`

Method Summary
`X` `apply(X o)` Converts a T1 to a different T2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityFunction

    public IdentityFunction()

Method Detail

### apply

    public X apply(X o)

  Description copied from interface: `Function`
  Converts a T1 to a different T2. For example, a Parser will convert a Sentence to a Tree. A Tagger will convert a Sentence to a TaggedSentence.

  Specified by:
    `apply` in interface `Function<X,X>`
  Parameters:
    `o` - The Object to be returned
  Returns:
    o

Stanford NLP Group